org.flexdock.plaf.theme

## Class ViewUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - org.flexdock.plaf.FlexViewComponentUI
    - - org.flexdock.plaf.theme.ViewUI

- All Implemented Interfaces:
    IFlexViewComponentUI, XMLConstants

      public class ViewUI
      extends FlexViewComponentUI

  Author:
    Christopher Butler

- - ### Field Summary

    - ### Fields inherited from class org.flexdock.plaf.FlexViewComponentUI

      `creationParameters`

    - ### Fields inherited from interface org.flexdock.plaf.IFlexViewComponentUI

      `ICON_RESOURCE`

    - ### Fields inherited from interface org.flexdock.plaf.XMLConstants

      `ATTRIBUTE_KEY, CLASSNAME_KEY, CONSTRUCTOR_KEY, DESC_KEY, EXTENDS_KEY, HANDLER_KEY, INHERITS_KEY, NAME_KEY, OVERRIDDEN_KEY, PROP_HANDLER_KEY, PROPERTY_KEY, REFERENCE_KEY, VALUE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewUI()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPreferredTitlebarUI()`
    `void` | `initializeCreationParameters()`
    `void` | `installUI(javax.swing.JComponent c)`
    `void` | `paint(java.awt.Graphics g, javax.swing.JComponent c)`
    `void` | `uninstallUI(javax.swing.JComponent c)`

    - ### Methods inherited from class org.flexdock.plaf.FlexViewComponentUI

      `getCreationParameters, setCreationParameters`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewUI

          public ViewUI()

  - ### Method Detail

    - #### installUI

          public void installUI(javax.swing.JComponent c)

      Overrides:
        `installUI` in class `javax.swing.plaf.ComponentUI`

    - #### paint

          public void paint(java.awt.Graphics g,
                   javax.swing.JComponent c)

      Overrides:
        `paint` in class `javax.swing.plaf.ComponentUI`

    - #### uninstallUI

          public void uninstallUI(javax.swing.JComponent c)

      Overrides:
        `uninstallUI` in class `javax.swing.plaf.ComponentUI`

    - #### initializeCreationParameters

          public void initializeCreationParameters()

      Specified by:
        `initializeCreationParameters` in interface `IFlexViewComponentUI`
      Specified by:
        `initializeCreationParameters` in class `FlexViewComponentUI`

    - #### getPreferredTitlebarUI

          public java.lang.String getPreferredTitlebarUI()